## partconf 1.40+deb7u1

=== Makefile ===
CFLAGS = -W -Wall

ifdef DEBUG
CFLAGS += -g3
endif

LIBS = -lparted

PARTCONF_OBJS = util.o partconf.o find-parts.o

all: partconf find-partitions mkfstab mountpoint

partconf: $(PARTCONF_OBJS)
	$(CC) $(CFLAGS) -o $@ $^ -ldl -ldebconfclient -ldebian-installer -lparted

find-partitions: partconf.h find-parts.c util.o
	$(CC) $(CFLAGS) -o $@ -DFIND_PARTS_MAIN find-parts.c util.o -lparted

mkfstab: mkfstab.c mkfstab.h
	$(CC) $(CFLAGS) -o $@ mkfstab.c -ldebian-installer

mountpoint: mountpoint.c
	$(CC) $(CFLAGS) -o $@ mountpoint.c -ldebian-installer

util.o: util.c
partconf.o: partconf.c partconf.h
find-parts.o: find-parts.c partconf.h

small: CFLAGS += -Os
small: clean partconf find-partitions mkfstab mountpoint
	strip --remove-section=.comment --remove-section=.note partconf
	strip --remove-section=.comment --remove-section=.note find-partitions
	strip --remove-section=.comment --remove-section=.note mkfstab
	strip --remove-section=.comment --remove-section=.note mountpoint

test-mkfstab: mkfstab.c mkfstab.h
	$(CC) $(CFLAGS) -o test-mkfstab -DTEST mkfstab.c $(LIBS) -ldebian-installer

test-partconf: find-parts.o partconf.c partconf.h util.o
	$(CC) $(CFLAGS) -o test-partconf -DTEST partconf.c find-parts.o util.o $(LIBS) -ldebian-installer

check: test-mkfstab test-partconf
	./test-mkfstab
	./test-partconf

clean:
	-rm -f partconf find-partitions mkfstab mountpoint \
		test-mkfstab test-partconf *.o

.PHONY: all check clean small

=== debian/changelog ===
partconf (1.40+deb7u1) wheezy; urgency=low

  [ Milan Kupcevic ]
  * Exclude CD/DVD drives from partition search. (thanks, Frank Fegert)
    Closes: #332227

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Aug 2015 17:31:58 +0200

partconf (1.40) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Hrishikesh K B

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Oct 2012 18:12:50 +0200

partconf (1.39) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control
  * Add myself to Uploaders

  [ Updated translations ]
  * Asturian (ast.po) by ivarela

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Oct 2012 09:23:29 +0200

=== debian/control ===
Source: partconf
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.4.16), libdebconfclient0-dev (>= 0.47), libparted0-dev (>= 2.2), po-debconf (>= 0.5.3), libdebian-installer4-dev (>= 0.41)
Vcs-Browser: http://git.debian.org/?p=d-i/partconf.git
Vcs-Git: git://git.debian.org/d-i/partconf.git

Package: partconf
Architecture: mips
Depends: ${shlibs:Depends}, partconf-mkfstab
Recommends: partitioned-harddrives
Provides: made-filesystems, made-swapspace, mounted-partitions, created-fstab
Package-Type: udeb
XB-Installer-Menu-Item: 4500
Description: Configure and Mount Partitions
 User friendly debian-installer program for creating file systems,
 swap partitions and mounting them in /target

Package: partconf-find-partitions
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}
Package-Type: udeb
Description: debian-installer utility for finding partitions
 Helper program for finding partitions and detecting their size and
 existing file system.

Package: partconf-mkfstab
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}
Package-Type: udeb
Description: debian-installer utility for creating fstab file
 Helper program for creating fstab files in the new installed Debian
 system.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small
else
	$(MAKE) DEBUG=1
endif

# Of very limited use, and probably doesn't work well in chroots.
override_dh_auto_test:

override_dh_install:
	dh_install
	install -m755 partconf debian/partconf.postinst
	#install -m755 mkfstab debian/partconf-mkfstab.postinst
	install -m644 fstab-common \
		debian/partconf-mkfstab/var/lib/partconf/fstab.d/common

## partconf 1.45

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,20 @@
 %:
 	dh $@
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+CROSS :=
+else
+CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc STRIP=$(DEB_HOST_GNU_TYPE)-strip
+endif
+
 override_dh_auto_build:
 ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) small
+	$(MAKE) small $(CROSS)
 else
-	$(MAKE) DEBUG=1
+	$(MAKE) DEBUG=1 $(CROSS)
 endif
 
 # Of very limited use, and probably doesn't work well in chroots.

## partconf 1.47

=== debian/changelog ===
partconf (1.47) unstable; urgency=medium

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Apr 2015 04:55:44 +0200

partconf (1.46) unstable; urgency=medium

  [ Colin Watson ]
  * Build-depend on libparted-dev rather than transitional package
    libparted0-dev.

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Oct 2014 08:22:56 +0200

partconf (1.45) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 17:40:56 +0100

partconf (1.44) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Dec 2013 20:17:06 +0100

partconf (1.43) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 16:06:14 +0200

partconf (1.42) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Colin Watson ]
  * Handle asprintf failures consistently.
  * Ignore uninteresting system failures.
  * Handle fgets failures.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:00:59 +0200

partconf (1.41) unstable; urgency=low

  [ Milan Kupcevic ]
  * Exclude CD/DVD drives from partition search. (thanks, Frank Fegert)
    Closes: #332227

  [ Colin Watson ]
  * Use correct compiler and strip when cross-building.
  * Avoid use of nested functions, fixing build with clang.
  * Fix -Wsign-compare warnings in build_part_choices.
  * Remove unnecessary comparison which triggered a -Wtype-limits warning.
  * Mark argc and argv in mkfstab's main() as unused.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 14:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.4.16), libdebconfclient0-dev (>= 0.47), libparted0-dev (>= 2.2), po-debconf (>= 0.5.3), libdebian-installer4-dev (>= 0.41)
-Vcs-Browser: http://git.debian.org/?p=d-i/partconf.git
-Vcs-Git: git://git.debian.org/d-i/partconf.git
+Build-Depends: debhelper (>= 9), libdebconfclient0-dev (>= 0.47), libparted-dev (>= 2.2), po-debconf (>= 0.5.3), libdebian-installer4-dev (>= 0.41)
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partconf.git
+Vcs-Git: git://anonscm.debian.org/d-i/partconf.git
 
 Package: partconf
 Architecture: mips

## partconf 1.49

=== debian/changelog ===
partconf (1.49) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Feb 2016 19:01:33 +0100

partconf (1.48) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Aug 2015 19:10:54 +0200

## partconf 1.50

=== debian/changelog ===
partconf (1.50) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Drop partconf package, all the mips subarchitecture we still support
    don't need it anymore.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 May 2016 22:32:11 +0200

=== debian/control ===
Source: partconf
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), libparted-dev (>= 2.2), libdebian-installer4-dev (>= 0.41)
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/partconf.git
Vcs-Git: https://anonscm.debian.org/git/d-i/partconf.git

Package: partconf-find-partitions
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}
Package-Type: udeb
Description: debian-installer utility for finding partitions
 Helper program for finding partitions and detecting their size and
 existing file system.

Package: partconf-mkfstab
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}
Package-Type: udeb
Description: debian-installer utility for creating fstab file
 Helper program for creating fstab files in the new installed Debian
 system.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 
 override_dh_install:
 	dh_install
-	install -m755 partconf debian/partconf.postinst
 	#install -m755 mkfstab debian/partconf-mkfstab.postinst
 	install -m644 fstab-common \
 		debian/partconf-mkfstab/var/lib/partconf/fstab.d/common

## partconf 1.50ubuntu1

=== Makefile ===
CFLAGS = -W -Wall

ifdef DEBUG
CFLAGS += -g3
endif

STRIP = strip

all: find-partitions mkfstab mountpoint

find-partitions: partconf.h find-parts.c util.o xasprintf.o
	$(CC) $(CFLAGS) -o $@ -DFIND_PARTS_MAIN find-parts.c util.o xasprintf.o -lparted

mkfstab: LDLIBS := -ldebian-installer
mkfstab: mkfstab.o xasprintf.o

mountpoint: LDLIBS := -ldebian-installer
mountpoint: mountpoint.o

xasprintf.o: xasprintf.c xasprintf.h
util.o: util.c
find-parts.o: find-parts.c partconf.h

small: CFLAGS += -Os
small: clean find-partitions mkfstab mountpoint
	$(STRIP) --remove-section=.comment --remove-section=.note find-partitions
	$(STRIP) --remove-section=.comment --remove-section=.note mkfstab
	$(STRIP) --remove-section=.comment --remove-section=.note mountpoint

test-mkfstab: mkfstab.c mkfstab.h
	$(CC) $(CFLAGS) -o test-mkfstab -DTEST mkfstab.c xasprintf.o -lparted -ldebian-installer

check: test-mkfstab
	./test-mkfstab

clean:
	-rm -f find-partitions mkfstab mountpoint \
		test-mkfstab *.o

.PHONY: all check clean small

## partconf 1.52

=== debian/changelog ===
partconf (1.52) unstable; urgency=medium

  * Team upload

  [ Ben Hutchings ]
  * Include <sys/sysmacros.h> to get major() and minor() macros
    (Closes: #916001)
  * Remove reiserfs support (Closes: #717534)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 09 Dec 2018 22:23:50 +0000

partconf (1.51) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Holger Wansing ]
  * Update URL for source code to no longer point to ftp://ftp.debian.org.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 22 Sep 2018 09:52:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), libparted-dev (>= 2.2), libdebian-installer4-dev (>= 0.41)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/partconf.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/partconf.git
+Vcs-Browser: https://salsa.debian.org/installer-team/partconf
+Vcs-Git: https://salsa.debian.org/installer-team/partconf.git
 
 Package: partconf-find-partitions
 Architecture: any

## partconf 1.52%2B11.0trisquel0

=== debian/changelog ===
partconf (1.52+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Oct 2022 06:49:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: partconf
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), libparted-dev (>= 2.2), libdebian-installer4-dev (>= 0.41)
 Vcs-Browser: https://salsa.debian.org/installer-team/partconf

## partconf 1.52+nmu1

=== debian/changelog ===
partconf (1.52+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:13:19 +0800
